package com.jjt.ws.service;

import java.util.List;
import com.jjt.ws.domain.TwinWorkshop;

/**
 * 车间管理Service接口
 *
 * @author wukai
 * @date 2025-01-17
 */
public interface ITwinWorkshopService {
    /**
     * 查询车间管理
     *
     * @param wsId 车间管理主键
     * @return 车间管理
     */
    public TwinWorkshop selectTwinWorkshopByWsId(Long wsId);

    /**
     * 查询车间管理列表
     *
     * @param twinWorkshop 车间管理
     * @return 车间管理集合
     */
    public List<TwinWorkshop> selectTwinWorkshopList(TwinWorkshop twinWorkshop);

    /**
     * 新增车间管理
     *
     * @param twinWorkshop 车间管理
     * @return 结果
     */
    public int insertTwinWorkshop(TwinWorkshop twinWorkshop);

    /**
     * 修改车间管理
     *
     * @param twinWorkshop 车间管理
     * @return 结果
     */
    public int updateTwinWorkshop(TwinWorkshop twinWorkshop);

    /**
     * 批量删除车间管理
     *
     * @param wsIds 需要删除的车间管理主键集合
     * @return 结果
     */
    public int deleteTwinWorkshopByWsIds(Long[] wsIds);

    /**
     * 删除车间管理信息
     *
     * @param wsId 车间管理主键
     * @return 结果
     */
    public int deleteTwinWorkshopByWsId(Long wsId);
    /**
     * 查询车间管理
     *
     * @param wsCode 车间编码
     * @return 车间管理
     */
    public TwinWorkshop selectTwinWorkshopByWsCode(String wsCode);
}
